Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002415 [Squeak] Morphic trivial always 12-27-05 23:11 01-19-06 18:06
Reporter kosik View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version 3.9
Summary 0002415: Error after one presses ESC key two times.
Description In 3.9 Morphic project, after I press the ESC key for the first time, the world menu appears. After I press the ESC key for the second time, the world menu disappears but error (doesNotUnderstand: #selectSuperMenu) appears.

The debug log is attached.
Additional Information
Attached Files  SqueakDebug.log [^] (4,404 bytes) 12-27-05 23:11

- Relationships

- Notes
(0003395 - 1530 - 2723 - 2723 - 2723 - 2723 - 2723)
wiz
12-28-05 08:33

There seem to be several problems here.

There is a timing confilct with an older version of MenuMorph>>keyStroke
being loaded over a later update.


'rr 3/24/2004 13:55 MenuMorph keyStroke
''laza 5/6/2004 13:59 MenuMorph keyStroke:'

The rr changeset is obviously incomplete. #selectSuperMenu is defined nowhere in the image.

the method that calls the undefined method
 'rr 3/25/2004 12:16 MenuMorph unfilterOrEscape:'

unfilterOrEscape: evt
    self valueOfProperty: #matchString
        ifPresentDo:
            [:str |
            
            str isEmpty
                ifFalse:
                    ["If filtered, first ESC removes filter"

                    self setProperty: #matchString toValue: String new.
                    self selectItem: nil event: evt.
                    self displayFiltered: evt]].
    "If a stand-alone menu, just delete it"
    popUpOwner ifNil: [self delete]. "***"
    "If a sub-menu, then deselect, and return focus to outer menu"
    self selectSuperMenu: evt

*** seems to need a return before the self delete.

Some how this poorly checked code got into the stream. So the harvesters and commiters need to have a better way of holding code contributers to account and checking what goes in.

I don't know what the correct fix is. reverting to the laza code removes the symptom complained about here. So someone should think of going back an undoing the rr changes or getting him to correct and complete them and resolve the conflict with laza. I'd put laza in charge of the final say based on what I've seen here.

Yours in service, -- (wiz) Jerome Peace.
 
(0003506 - 92 - 104 - 104 - 104 - 104 - 104)
aking
01-16-06 05:35
edited on: 01-16-06 05:36

This also happens if you bring up the world menu with a left click then press the ESC key.

 
(0003557 - 21 - 21 - 21 - 21 - 21 - 21)
MarcusDenker
01-19-06 18:06

will be fixed in 6716
 

- Issue History
Date Modified Username Field Change
12-27-05 23:11 kosik New Issue
12-27-05 23:11 kosik File Added: SqueakDebug.log
12-27-05 23:13 kosik Issue Monitored: kosik
12-28-05 08:33 wiz Note Added: 0003395
12-28-05 11:04 pmm Issue Monitored: pmm
01-16-06 05:35 aking Note Added: 0003506
01-16-06 05:36 aking Note Edited: 0003506
01-19-06 18:06 MarcusDenker Status new => closed
01-19-06 18:06 MarcusDenker Note Added: 0003557
01-19-06 18:06 MarcusDenker Resolution open => fixed
01-19-06 18:06 MarcusDenker Fixed in Version  => 3.9


Mantis 1.0.8[^]
Copyright © 2000 - 2007 Mantis Group
55 total queries executed.
37 unique queries executed.
Powered by Mantis Bugtracker